You are here

AN78175 - PSoC® 3 and PSoC 5LP - IEC 60730 Class B Safety Software Library | Cypress Semiconductor

AN78175 - PSoC® 3 and PSoC 5LP - IEC 60730 Class B Safety Software Library

Last Updated: 
May 07, 2017
Version: 
*F

AN78175 describes the PSoC® 3 and PSoC 5LP IEC60730 Class B Safety Software Library and includes an example project with self-check routines to ensure reliable and safe operation. Library routines and examples in the example project can be directly integrated with the end user's application. This application note also describes the API functions that are available in the Library.

The International Electrotechnical Commission (IEC) has developed safety standard IEC 60730-1 that discusses mechanical, electrical, electronic, environmental endurance, EMC, and abnormal operation for home appliances.

This application note focuses on Annex H Class B: Requirements for Electronic Controls. This portion of the standard details test and diagnostic methods to ensure safe operation of embedded control hardware and software for home appliances.  

Project
Device
PSoC Creator
Version
Development Kit
CY8CKIT-xxx
Compiler
Architecture
Silicon
Revision
V2.2 SP1
or higher
V2.1 SP1/
V2.1
001
DVK
030/050
DVK
003/014
FTK
Keil
GCC
RVDS
MDK

AN78175.zip

Prod
YES
NO
YES
YES*
NO
YES
N/A
N/A
N/A
Prod
YES
NO
YES
YES*
NO
N/A
YES
YES
YES
AN78175_Archive.zip
ES3, Prod
NO
YES
YES
YES*
NO
YES
N/A
N/A
N/A
ES1, Prod
NO
YES
YES
YES*
NO
N/A
YES
YES
YES

*Refer to Migrating CY8CKIT-001 DVK project to CY8CKIT 030/ 050

Notes:
  1. Click on AN77835 - PSoC® 3 to PSoC 5LP Migration Guide to learn differences between PSoC 3 and PSoC 5LP.
  2. For PSoC 5 project and related document, please download file AN78175_Archive.zip.

Projects associated with this application note can be downloaded from the 'Related Files' section below. For your convenience, we have provided projects that are compatible with the two most recent versions of PSoC Creator:

  • AN78175.zip is used with PSoC Creator 2.2 SP1
  • AN78175_Archive.zip is used with PSoC Creator 2.1 SP1/2.1

The project’s default settings may not be compatible with your device or kit, and you may need to change your project settings. For more information, see: